Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 3089)
+++ inc/admin/lib.pager.php	(revision 3118)
@@ -232,16 +232,21 @@
 
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
+		$sts_class = '';
 		switch ($this->rs->post_status) {
 			case 1:
 				$img_status = sprintf($img,__('Published'),'check-on.png');
+				$sts_class = 'sts-online';
 				break;
 			case 0:
 				$img_status = sprintf($img,__('Unpublished'),'check-off.png');
+				$sts_class = 'sts-offline';
 				break;
 			case -1:
 				$img_status = sprintf($img,__('Scheduled'),'scheduled.png');
+				$sts_class = 'sts-scheduled';
 				break;
 			case -2:
 				$img_status = sprintf($img,__('Pending'),'check-wrn.png');
+				$sts_class = 'sts-pending';
 				break;
 		}
@@ -264,5 +269,5 @@
 		}
 
-		$res = '<tr class="line'.($this->rs->post_status != 1 ? ' offline' : '').'"'.
+		$res = '<tr class="line '.($this->rs->post_status != 1 ? 'offline ' : '').$sts_class.'"'.
 		' id="p'.$this->rs->post_id.'">';
 
@@ -342,16 +347,21 @@
 	{
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
+		$sts_class = '';
 		switch ($this->rs->post_status) {
 			case 1:
 				$img_status = sprintf($img,__('Published'),'check-on.png');
+				$sts_class = 'sts-online';
 				break;
 			case 0:
 				$img_status = sprintf($img,__('Unpublished'),'check-off.png');
+				$sts_class = 'sts-offline';
 				break;
 			case -1:
 				$img_status = sprintf($img,__('Scheduled'),'scheduled.png');
+				$sts_class = 'sts-scheduled';
 				break;
 			case -2:
 				$img_status = sprintf($img,__('Pending'),'check-wrn.png');
+				$sts_class = 'sts-pending';
 				break;
 		}
@@ -374,5 +384,5 @@
 		}
 
-		$res = '<tr class="line'.($this->rs->post_status != 1 ? ' offline' : '').'"'.
+		$res = '<tr class="line '.($this->rs->post_status != 1 ? 'offline ' : '').$sts_class.'"'.
 		' id="p'.$this->rs->post_id.'">';
 
@@ -507,16 +517,21 @@
 
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
+		$sts_class = '';
 		switch ($this->rs->comment_status) {
 			case 1:
 				$img_status = sprintf($img,__('Published'),'check-on.png');
+				$sts_class = 'sts-online';
 				break;
 			case 0:
 				$img_status = sprintf($img,__('Unpublished'),'check-off.png');
+				$sts_class = 'sts-offline';
 				break;
 			case -1:
 				$img_status = sprintf($img,__('Pending'),'check-wrn.png');
+				$sts_class = 'sts-pending';
 				break;
 			case -2:
 				$img_status = sprintf($img,__('Junk'),'junk.png');
+				$sts_class = 'sts-junk';
 				break;
 		}
@@ -530,5 +545,5 @@
 			html::escapeHTML($this->rs->comment_author));
 
-		$res = '<tr class="line'.($this->rs->comment_status != 1 ? ' offline' : '').'"'.
+		$res = '<tr class="line '.($this->rs->comment_status != 1 ? 'offline ' : '').$sts_class.'"'.
 		' id="c'.$this->rs->comment_id.'">';
 
Index: plugins/pages/class.listpage.php
===================================================================
--- plugins/pages/class.listpage.php	(revision 3089)
+++ plugins/pages/class.listpage.php	(revision 3118)
@@ -77,16 +77,21 @@
 	{
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
+		$sts_class = '';
 		switch ($this->rs->post_status) {
 			case 1:
 				$img_status = sprintf($img,__('Published'),'check-on.png');
+				$sts_class = 'sts-online';
 				break;
 			case 0:
 				$img_status = sprintf($img,__('Unpublished'),'check-off.png');
+				$sts_class = 'sts-offline';
 				break;
 			case -1:
 				$img_status = sprintf($img,__('Scheduled'),'scheduled.png');
+				$sts_class = 'sts-scheduled';
 				break;
 			case -2:
 				$img_status = sprintf($img,__('Pending'),'check-wrn.png');
+				$sts_class = 'sts-pending';
 				break;
 		}
@@ -109,5 +114,5 @@
 		}
 
-		$res = '<tr class="line'.($this->rs->post_status != 1 ? ' offline' : '').'"'.
+		$res = '<tr class="line '.($this->rs->post_status != 1 ? 'offline ' : '').$sts_class.'"'.
 		' id="p'.$this->rs->post_id.'">';
 
